Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class LayoutInfo

    java.lang.Object
      org.jboss.portal.theme.LayoutInfo

    public final class LayoutInfo

extends java.lang.Object

Info about the layout.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Constructor Summary
`LayoutInfo(RuntimeContext ctx, PortalLayoutMetaData layoutMD)`

Method Summary
`java.lang.String` | `getAppId()` Get the name of the portal web application that contains this layout.
`java.lang.String` | `getContextPath()` Get the context path for the servlet context (portal web application) that contains this layout.
`java.lang.String` | `getName()` Get the name of this layout.
`java.util.List` | `getRegionNames()`
`ServerRegistrationID` | `getRegistrationId()`
`javax.servlet.ServletContext` | `getServletContext()` Get the servlet context that contains this layout.
`java.lang.String` | `getURI()` Get the generic URI for this layout.
`java.lang.String` | `getURI(java.lang.String state)` Get the uri, the location of the layout, relative to its context.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayoutInfo

    public LayoutInfo(RuntimeContext ctx,
                      PortalLayoutMetaData layoutMD)

Method Detail

### getRegistrationId

    public ServerRegistrationID getRegistrationId()

### getAppId

    public java.lang.String getAppId()

  Get the name of the portal web application that contains this layout.

  Returns:
    the name of the portal web application that contains this layout

### getName

    public java.lang.String getName()

  Get the name of this layout.

  Returns:
    the name of the layout

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Get the servlet context that contains this layout.

  Returns:
    the serlvet context of this layout

### getURI

    public java.lang.String getURI()

  Get the generic URI for this layout.

  The URI is the location of the layout resource inside the Servlet context that contains it. The generic URI is the one that does not depend on a state. It is the most common URI for this layout.

  Returns:
    the URI for this layout
  See Also:
    `getServletContext()`, `getURI(String)`

### getURI

    public java.lang.String getURI(java.lang.String state)

  Get the uri, the location of the layout, relative to its context.

  Parameters:
    `state` - an optional key to further separate URIs (for example for maximized window state). If a layout uri was defined for the provided state, that uri will be returned, otherwise the generic URI for this layout will be returned. If null is provided, the result is the same as calling getURI()
  Returns:
    the uri of the layout relative to its context
  See Also:
    `getServletContext()`, `getURI()`

### getContextPath

    public java.lang.String getContextPath()

  Get the context path for the servlet context (portal web application) that contains this layout.

  Returns:
    the context path of this layout

### getRegionNames

    public java.util.List getRegionNames()

  See Also:
    `PortalLayoutMetaData.getRegionNames()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD